EDIT - bug #8013

LazylnitializationException (LIE) in RegistrationDTO.makeBibliographicCitationStrings
01/23/2019 11:52 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

http:/test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/4e40184e-815¢c-4fd2-abe1-570040dde8ef

)

Referenz vorhanden

Existing name ausgewéhlt

Einfacher Klick auf ,Existing name*

Der Fehler war mit verschiedenen Workingsets reproduzierbar, mit derselben Fehlermeldung auch nach Abmelden und wieder
anmelden (war als Curator drin).

Fehlermeldung:

org.hibernate.LazyInitializationException: could not initialize proxy - no Session

at org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.j
ava:148)

at org.hibernate.proxy.AbstractlLazyInitializer.getImplementation (AbstractLazyInitia
lizer.java:266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazy
Initializer.java:68)

at eu.etaxonomy.cdm.model.reference.Reference_$S$_Jjvst98f_26.getTitle (Reference_S$S$_j
vst98f_26.java)

at eu.etaxonomy.cdm.strategy.cache.reference.TitleWithoutYearAndAuthorHelper.getTit
leWithoutYearAndAuthorArticle (TitleWithoutYearAndAuthorHelper. java:87)

at eu.etaxonomy.cdm.strategy.cache.reference.TitleWithoutYearAndAuthorHelper.getTit
leWithoutYearAndAuthor (TitleWithoutYearAndAuthorHelper. java:55)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getTitle
WithoutYearAndAuthor (DefaultReferenceCacheStrategy.java:502)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getTitle
Cache (DefaultReferenceCacheStrategy. java:120)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getTitle
Cache (DefaultReferenceCacheStrategy. java:1)

at eu.etaxonomy.cdm.model.common.IdentifiableEntity.generateTitle (IdentifiableEntit
y.Jjava:607)

at eu.etaxonomy.cdm.model.reference.Reference.generateTitle (Reference. java:853)

at eu.etaxonomy.cdm.api.service.dto.RegistrationDTO.makeBibliographicCitationString
s (RegistrationDTO. java:363)

at eu.etaxonomy.cdm.api.service.dto.RegistrationDTO.<init> (RegistrationDTO. java:144

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onRegi
strationWorkflowEventActionStart (RegistrationWorkingsetPresenter. java:576)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. jav
a:43)

Related issues:
Has duplicate EDIT - bug #8038: NullPointerException when accessing newly cre... Duplicate

Associated revisions

Revision b3031a24 - 01/28/2019 06:21 PM - Andreas Kohlbecker

ref #8013 proper loading of reference to be used in RegistrationDTO constructor

04/09/2024 12
History

#1 - 01/25/2019 09:52 AM - Andreas Kohlbecker
- Target version changed from CDM UML 5.5 to Release 5.5

#2 - 01/28/2019 06:21 PM - Andreas Kohlbecker
- Status changed from New to Closed
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 100

#3 - 01/28/2019 06:21 PM - Andreas Kohlbecker

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#4 - 01/30/2019 01:13 PM - Andreas Kohlbecker

- Has duplicate bug #8038: NullPointerException when accessing newly created workingset added
